protolude-0.3.4: A small prelude.

Safe Haskell | Trustworthy
Language | Haskell2010

Protolude.Panic

Synopsis

- newtype FatalError = FatalError {
  - fatalErrorMessage :: Text
  }
- panic :: HasCallStack => Text -> a

# Documentation

newtype FatalError #

Uncatchable exceptions thrown and never caught.

Constructors

FatalError |

Fields

- fatalErrorMessage :: Text

#### Instances

Instances details

Exception FatalError # |
Instance details Defined in Protolude.Panic Methods toException :: FatalError -> SomeException # fromException :: SomeException -> Maybe FatalError # displayException :: FatalError -> String # backtraceDesired :: FatalError -> Bool #
Show FatalError # |
Instance details Defined in Protolude.Panic Methods showsPrec :: Int -> FatalError -> ShowS # show :: FatalError -> String # showList :: [FatalError] -> ShowS #

panic :: HasCallStack => Text -> a #